#
# spec file for package indent
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           indent
Version:        2.2.10
Release:        43.6
Summary:        Indent Formats C Source Code
License:        GPL-3.0+
Group:          Development/Languages/C and C++
Url:            http://www.gnu.org/software/indent
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source2:        %{name}.keyring
Patch0:         %{name}-%{version}-nothing_is_void.diff
Patch1:         %{name}-%{version}-warnings.diff
Patch2:         %{name}-%{version}-lcall.diff
Patch3:         %{name}-%{version}-cdw.diff
Patch4:         %{name}-%{version}-man.diff
Patch5:         indent-texi2html-5.0.patch
BuildRequires:  makeinfo
BuildRequires:  texi2html
Requires(pre):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Indent can be used to make code easier to read. It can also convert
from one style of writing C code to another. indent understands a
substantial amount of C syntax, but it also tries to cope with
incomplete and malformed syntax.

%prep
%setup -q
%patch0 -p1
%patch1
%patch2
%patch3 -p1
%patch4
%patch5 -p1

%build
%configure
# parallel builds are broken
make -j 1

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
# indent.html is installed with doc below
rm -f %{buildroot}%{_prefix}/doc/indent/indent.html %{buildroot}%{_bindir}/texinfo2man %{buildroot}/%{_infodir}/dir
mv %{buildroot}%{_datadir}/locale/zh_TW.Big5 %{buildroot}%{_datadir}/locale/zh_TW
%find_lang %{name}

%check
make %{?_smp_mflags} -C regression

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/*
%doc doc/indent.html
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/indent.1.gz

%changelog
* Thu Feb 19 2015 dimstar@opensuse.org
- Replace texinfo BuildRequires with makeinfo and texi2html: only
  those parts are needed.
- Add indent-texi2html-5.0.patch: Fix build with texi2html 5.0
  (note: patches Makeinfo.in in order to not depend on libtool)
- Move install_info_delete from postun to preun.
* Wed Feb 18 2015 mpluskal@suse.com
- Use url for source
- Add gpg signature
- Cleanup spec file with spec cleaner
- Remove useless configure option --with-pic
* Fri Jul 20 2012 coolo@suse.com
- texi2html is required
* Tue Aug  5 2008 prusnak@suse.cz
- updated to 2.2.10
  * added --indent-label and --linux-style options to control
    indentation of goto labels and supply a canned set of settings
    that closely matches the preferred style for the linux kernel
  * GPLv3 is used now
- removed obsoleted patches:
  * overflow.patch (included in update)
* Sun Feb 24 2008 crrodriguez@suse.de
- use find_lang macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 13 2004 sndirsch@suse.de
- moved chinese mo file to correct directory (Bug #47262)
* Wed Sep 15 2004 aj@suse.de
- Fix compiler warnings.
* Wed Jun 30 2004 tcrhak@suse.cz
- removed texinfo2man from the file list (bug #42247)
* Fri Apr 16 2004 mmj@suse.de
- Functions that are void should be declared as such
* Thu Mar  4 2004 tcrhak@suse.cz
- security fix for overflow (bug #33790)
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed May 14 2003 mmj@suse.de
- Remove unwanted files
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 mmj@suse.de
- Add %%install_info macro [#23428]
* Mon Jan  6 2003 tcrhak@suse.cz
- update to version 2.2.9
* Sat Jul 13 2002 tcrhak@suse.cz
- update to version 2.2.8a
* Thu Oct  4 2001 schwab@suse.de
- Don't run automake/autoconf.
* Sun Dec  3 2000 smid@suse.cz
- New version 2.2.6
* Thu Feb 10 2000 kukuk@suse.de
- Update to 2.2.5
- Move /usr/{info,man} -> /usr/share/{info,man}
* Sun Oct 10 1999 kukuk@suse.de
- Update to version 2.2.3
- Use BuildRoot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep  7 1999 kukuk@suse.de
- Add make to build section
* Thu Aug 26 1999 kukuk@suse.de
- Update to version 2.2.0
* Mon Feb 22 1999 ro@suse.de
- dont redefine memcpy for glibc-2.1
* Thu Jan 21 1999 ro@suse.de
- no m486 on alpha
- include <string.h> in indent.c
